package pe.gob.servir.std.service.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 2.7.7.redhat-1
 * 2018-02-06T15:38:46.517-05:00
 * Generated source version: 2.7.7.redhat-1
 * 
 */
@WebService(targetNamespace = "ws.service.std.servir.gob.pe", name = "STDServiceInterface")
@XmlSeeAlso({ObjectFactory.class})
public interface STDServiceInterface {

	/*
    @SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
    @WebResult(name = "getDatosTramiteAIPResponse", targetNamespace = "ws.service.std.servir.gob.pe", partName = "parameters")
    @WebMethod(action = "ws.service.std.servir.gob.pe/NewOperation")
    public GetDatosTramiteAIPResponse getDatosTramiteAccesoInformacion(
        @WebParam(partName = "parameters", name = "getDatosTramiteAIP", targetNamespace = "ws.service.std.servir.gob.pe")
        GetDatosTramiteAIP parameters
    );    
    */
	
    @WebResult(name = "responseDatosTramiteCE", targetNamespace = "")
    @RequestWrapper(localName = "getDatosTramiteCE", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.jaxws.GetDatosTramiteCE")
    @WebMethod(action = "ws.service.std.servir.gob.pe/NewOperation")
    @ResponseWrapper(localName = "getDatosTramiteCEResponse", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.GetDatosTramiteCEResponse")
    public java.util.List<pe.gob.servir.std.service.ws.ResponseDatosTramiteCEType> getDatosTramiteAccesoInformacion(
        @WebParam(name = "requestSeguridad", targetNamespace = "")
        pe.gob.servir.std.service.ws.SeguridadType requestSeguridad,
        @WebParam(name = "requestAuditoria", targetNamespace = "")
        pe.gob.servir.std.service.ws.AuditoriaType requestAuditoria	
    );
    

    @WebResult(name = "responseDatosTramiteCE", targetNamespace = "")
    @RequestWrapper(localName = "getDatosTramiteCE", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.jaxws.GetDatosTramiteCE")
    @WebMethod(action = "ws.service.std.servir.gob.pe/NewOperation")
    @ResponseWrapper(localName = "getDatosTramiteCEResponse", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.GetDatosTramiteCEResponse")
    public java.util.List<pe.gob.servir.std.service.ws.ResponseDatosTramiteCEType> getDatosTramiteConsultasExternas(
        @WebParam(name = "requestSeguridad", targetNamespace = "")
        pe.gob.servir.std.service.ws.SeguridadType requestSeguridad,
        @WebParam(name = "requestAuditoria", targetNamespace = "")
        pe.gob.servir.std.service.ws.AuditoriaType requestAuditoria	
    );
    
    
    /*
    @SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
    @WebResult(name = "getDatosTramiteCEResponse", targetNamespace = "ws.service.std.servir.gob.pe", partName = "parameters")
    @WebMethod(action = "ws.service.std.servir.gob.pe/NewOperation")
    public GetDatosTramiteCEResponse getDatosTramiteConsultasExternas(
        @WebParam(partName = "parameters", name = "getDatosTramiteCE", targetNamespace = "ws.service.std.servir.gob.pe")
        GetDatosTramiteCE parameters
    );*/

    @WebResult(name = "responseDatosTramite", targetNamespace = "")
    @RequestWrapper(localName = "getDatosTramite", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.GetDatosTramite")
    @WebMethod(action = "ws.service.std.servir.gob.pe/NewOperation")
    @ResponseWrapper(localName = "getDatosTramiteResponse", targetNamespace = "ws.service.std.servir.gob.pe", className = "pe.gob.servir.std.service.ws.GetDatosTramiteResponse")
    public java.util.List<pe.gob.servir.std.service.ws.ResponseDatosTramiteType> getDatosTramite(
        @WebParam(name = "requestSeguridad", targetNamespace = "")
        pe.gob.servir.std.service.ws.SeguridadType requestSeguridad,
        @WebParam(name = "requestAuditoria", targetNamespace = "")
        pe.gob.servir.std.service.ws.AuditoriaType requestAuditoria,
        @WebParam(name = "requestTramite", targetNamespace = "")
        pe.gob.servir.std.service.ws.TramiteType requestTramite
    );
}
